'use strict';

const datoramaAkita = require('./datorama-akita-bb801820.js');
const Option = require('./Option-98dab0b8.js');
const index = require('./index-4f00f593.js');
const apiClient = require('./api-client-00edc9b6.js');

class BenefitsAppQuery extends datoramaAkita.Query {
  constructor(store) {
    super(store);
    this.store = store;
    this.signedInUser$ = this.select((state) => state.user);
    this.signedInUserRole$ = this.select((state) => Option._function.pipe(state.user, index.fold(() => 'user', (v) => v.benefitsProfile.role)));
  }
}
const benefitsAppQuery = new BenefitsAppQuery(apiClient.benefitsAppStore);

exports.benefitsAppQuery = benefitsAppQuery;
